Overview | Modules | Class Hierarchy | Classes | Members

# tlp::edge Struct Reference
[Graphs]

`#include <Edge.h>`

List of all members.

## Detailed Description

class edge

## Public Member Functions

- edge ()
- edge (unsigned int j)
- bool operator== (const edge e) const
- bool operator!= (const edge e) const
- bool isValid () const

## Public Attributes

- unsigned int id

## Constructor & Destructor Documentation

tlp::edge::edge | ( |  | ) | `[inline]`

tlp::edge::edge | ( | unsigned int | j | ) | `[inline, explicit]`

## Member Function Documentation

bool tlp::edge::isValid | ( |  | ) | const`[inline]`

bool tlp::edge::operator!= | ( | const edge | e | ) | const`[inline]`

bool tlp::edge::operator== | ( | const edge | e | ) | const`[inline]`

## Member Data Documentation

unsigned int tlp::edge::id

Tulip Software by LaBRI Visualization Team 2001 - 2010